ActiveAdmin.register_page "Dashboard" do

  menu priority: 1, label: proc{ I18n.t("active_admin.dashboard") }

  content title: proc{ I18n.t("active_admin.dashboard") } do
    
    columns do
    
      column do
        panel "Recent Signups" do  
          table_for ::Fbuser::User.order("created_at desc").limit(30) do  
            column :username do |user|  
              link_to user.username, admin_fbuser_user_path(user)  
            end
            column :fb_user_id 
            column :created_at
          end  
          strong { link_to "View All Users", admin_fbuser_users_path }  
        end   
      end

    end

  end
end

=begin
    columns do
      column do
        panel "Recent Signups" do
          ul do
            ::People::User.recent(30).map do |user|
              li link_to(user.username, resource_path(user))
            end
          end
        end
      end
    end
=end

=begin

    div class: "blank_slate_container", id: "dashboard_default_message" do
      span class: "blank_slate" do
        span I18n.t("active_admin.dashboard_welcome.welcome")
        small I18n.t("active_admin.dashboard_welcome.call_to_action")
      end
    end
=end
    # Here is an example of a simple dashboard with columns and panels.
    #
    # columns do
    #   column do
    #     panel "Recent Posts" do
    #       ul do
    #         Post.recent(5).map do |post|
    #           li link_to(post.title, admin_post_path(post))
    #         end
    #       end
    #     end
    #   end

    #   column do
    #     panel "Info" do
    #       para "Welcome to ActiveAdmin."
    #     end
    #   end
    # end
    # content